Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.il.config
Enum OdeConfigProperties.DatabaseMode

    java.lang.Object
      java.lang.Enum<OdeConfigProperties.DatabaseMode>
          org.apache.ode.il.config.OdeConfigProperties.DatabaseMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OdeConfigProperties.DatabaseMode>

Enclosing class:
  OdeConfigProperties

    public static enum OdeConfigProperties.DatabaseMode

extends java.lang.Enum<OdeConfigProperties.DatabaseMode>

Possible database modes.

Enum Constant Summary
`EMBEDDED` Embedded database (Ode provides default embedded database with connection pool)
`EXTERNAL` External data-source (managed by app server)
`INTERNAL` Internal data-source (User provides database info, Ode provides connection pool)

Method Summary
`static OdeConfigProperties.DatabaseMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OdeConfigProperties.DatabaseMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTERNAL

    public static final OdeConfigProperties.DatabaseMode EXTERNAL

  External data-source (managed by app server)

### INTERNAL

    public static final OdeConfigProperties.DatabaseMode INTERNAL

  Internal data-source (User provides database info, Ode provides connection pool)

### EMBEDDED

    public static final OdeConfigProperties.DatabaseMode EMBEDDED

  Embedded database (Ode provides default embedded database with connection pool)

Method Detail

### values

    public static final OdeConfigProperties.DatabaseMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OdeConfigProperties.DatabaseMode c : OdeConfigProperties.DatabaseMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OdeConfigProperties.DatabaseMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD